<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/lcd.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">lcd.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano102/112 series LCD driver header file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for lcd.h:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d15/lcd_8h__incl.png" border="0" usemap="#a_std_driver_2inc_2lcd_8h" alt=""/></div>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d0b/lcd_8h__dep__incl.png" border="0" usemap="#a_std_driver_2inc_2lcd_8hdep" alt=""/></div>
</div>
</div>
<p><a href="../../d2/ded/lcd_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gadcf949aa2606a24cc0dfbf13e0404046"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadcf949aa2606a24cc0dfbf13e0404046">LCD_FREQ_DIV32</a>&#160;&#160;&#160;((uint32_t) 0x00000000)</td></tr>
<tr class="separator:gadcf949aa2606a24cc0dfbf13e0404046"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaba8ea911de18ff1d5502e7451e401448"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba8ea911de18ff1d5502e7451e401448">LCD_FREQ_DIV64</a>&#160;&#160;&#160;((uint32_t) 0x00000010)</td></tr>
<tr class="separator:gaba8ea911de18ff1d5502e7451e401448"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadc9ad02cff482e9959a3d17d424cb7ca"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadc9ad02cff482e9959a3d17d424cb7ca">LCD_FREQ_DIV96</a>&#160;&#160;&#160;((uint32_t) 0x00000020)</td></tr>
<tr class="separator:gadc9ad02cff482e9959a3d17d424cb7ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad869fe607b3b10df273393ee223433f0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad869fe607b3b10df273393ee223433f0">LCD_FREQ_DIV128</a>&#160;&#160;&#160;((uint32_t) 0x00000030)</td></tr>
<tr class="separator:gad869fe607b3b10df273393ee223433f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf88244735ea2bc65b789a3251f375aeb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf88244735ea2bc65b789a3251f375aeb">LCD_FREQ_DIV192</a>&#160;&#160;&#160;((uint32_t) 0x00000040)</td></tr>
<tr class="separator:gaf88244735ea2bc65b789a3251f375aeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3544f42652af0d0ba3d5e5e7805065a7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3544f42652af0d0ba3d5e5e7805065a7">LCD_FREQ_DIV256</a>&#160;&#160;&#160;((uint32_t) 0x00000050)</td></tr>
<tr class="separator:ga3544f42652af0d0ba3d5e5e7805065a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf276c4a03e49ee40369bbc99d45e8cb4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf276c4a03e49ee40369bbc99d45e8cb4">LCD_FREQ_DIV384</a>&#160;&#160;&#160;((uint32_t) 0x00000060)</td></tr>
<tr class="separator:gaf276c4a03e49ee40369bbc99d45e8cb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaea7e8e1aaab5f4bef98d53117b909f8e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaea7e8e1aaab5f4bef98d53117b909f8e">LCD_FREQ_DIV512</a>&#160;&#160;&#160;((uint32_t) 0x00000070)</td></tr>
<tr class="separator:gaea7e8e1aaab5f4bef98d53117b909f8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafb846a4ed95e97a8f44716363f19fb08"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafb846a4ed95e97a8f44716363f19fb08">LCD_MUX_STATIC</a>&#160;&#160;&#160;((uint32_t) 0x00000000)</td></tr>
<tr class="separator:gafb846a4ed95e97a8f44716363f19fb08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0315a5e6a3e532d2ef82bb6cefdcd041"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0315a5e6a3e532d2ef82bb6cefdcd041">LCD_MUX_ONE_SECOND</a>&#160;&#160;&#160;((uint32_t) 0x00000002)</td></tr>
<tr class="separator:ga0315a5e6a3e532d2ef82bb6cefdcd041"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga13d175038ac1b345b6574aa224f2d6bc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga13d175038ac1b345b6574aa224f2d6bc">LCD_MUX_ONE_THIRD</a>&#160;&#160;&#160;((uint32_t) 0x00000004)</td></tr>
<tr class="separator:ga13d175038ac1b345b6574aa224f2d6bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5f60d6133a7f2e91769e0873cc2505f1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5f60d6133a7f2e91769e0873cc2505f1">LCD_MUX_ONE_FOURTH</a>&#160;&#160;&#160;((uint32_t) 0x00000006)</td></tr>
<tr class="separator:ga5f60d6133a7f2e91769e0873cc2505f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7bc4a4b431620c891549c70b899361a7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7bc4a4b431620c891549c70b899361a7">LCD_MUX_ONE_FIFTH</a>&#160;&#160;&#160;((uint32_t) 0x00000008)</td></tr>
<tr class="separator:ga7bc4a4b431620c891549c70b899361a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8148677068a9d861d1336f03296bb5ff"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8148677068a9d861d1336f03296bb5ff">LCD_MUX_ONE_SIXTH</a>&#160;&#160;&#160;((uint32_t) 0x0000000A)</td></tr>
<tr class="separator:ga8148677068a9d861d1336f03296bb5ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0c1f0c45bd3ff79658e01ee2203e6869"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0c1f0c45bd3ff79658e01ee2203e6869">LCD_BIAS_STATIC</a>&#160;&#160;&#160;((uint32_t) 0x00000000)</td></tr>
<tr class="separator:ga0c1f0c45bd3ff79658e01ee2203e6869"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac96ae57b0a7268e3606db85922dd7e7f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac96ae57b0a7268e3606db85922dd7e7f">LCD_BIAS_HALF</a>&#160;&#160;&#160;((uint32_t) 0x00000002)</td></tr>
<tr class="separator:gac96ae57b0a7268e3606db85922dd7e7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaad16ee5260c1c03044d7055f047e89a6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaad16ee5260c1c03044d7055f047e89a6">LCD_BIAS_THIRD</a>&#160;&#160;&#160;((uint32_t) 0x00000004)</td></tr>
<tr class="separator:gaad16ee5260c1c03044d7055f047e89a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga638c0385890bf8b54cc591a9fbf1feac"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga638c0385890bf8b54cc591a9fbf1feac">LCD_CPUMP_DIV1</a>&#160;&#160;&#160;((uint32_t) 0x00000000)</td></tr>
<tr class="separator:ga638c0385890bf8b54cc591a9fbf1feac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad27c2d5680a7e0dea69ba578cf1d5ace"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad27c2d5680a7e0dea69ba578cf1d5ace">LCD_CPUMP_DIV2</a>&#160;&#160;&#160;((uint32_t) 0x00000800)</td></tr>
<tr class="separator:gad27c2d5680a7e0dea69ba578cf1d5ace"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga43d645cadf01e14c6cb286b7ff3a8c3a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga43d645cadf01e14c6cb286b7ff3a8c3a">LCD_CPUMP_DIV4</a>&#160;&#160;&#160;((uint32_t) 0x00001000)</td></tr>
<tr class="separator:ga43d645cadf01e14c6cb286b7ff3a8c3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27a1d5355f28a99423bd2d3094e9b2d4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga27a1d5355f28a99423bd2d3094e9b2d4">LCD_CPUMP_DIV8</a>&#160;&#160;&#160;((uint32_t) 0x00001800)</td></tr>
<tr class="separator:ga27a1d5355f28a99423bd2d3094e9b2d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga45aac5e284beb0f01029de3e22dfa672"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga45aac5e284beb0f01029de3e22dfa672">LCD_CPUMP_DIV16</a>&#160;&#160;&#160;((uint32_t) 0x00002000)</td></tr>
<tr class="separator:ga45aac5e284beb0f01029de3e22dfa672"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9ba3902bb4be520e2886b3e23ba77f2b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9ba3902bb4be520e2886b3e23ba77f2b">LCD_CPUMP_DIV32</a>&#160;&#160;&#160;((uint32_t) 0x00002800)</td></tr>
<tr class="separator:ga9ba3902bb4be520e2886b3e23ba77f2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0090faef601888ad192c240a062748d9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0090faef601888ad192c240a062748d9">LCD_CPUMP_DIV64</a>&#160;&#160;&#160;((uint32_t) 0x00003000)</td></tr>
<tr class="separator:ga0090faef601888ad192c240a062748d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae4d0e4776b0110361dfa1de10ce01573"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae4d0e4776b0110361dfa1de10ce01573">LCD_CPUMP_DIV128</a>&#160;&#160;&#160;((uint32_t) 0x00003800)</td></tr>
<tr class="separator:gae4d0e4776b0110361dfa1de10ce01573"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga366206e0c10b5db869ff21fc8a655f46"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga366206e0c10b5db869ff21fc8a655f46">LCD_CPVOl_2_7V</a>&#160;&#160;&#160;((uint32_t) 0x00000000)</td></tr>
<tr class="separator:ga366206e0c10b5db869ff21fc8a655f46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga05556d6fc65065ac10b1390848fbed37"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga05556d6fc65065ac10b1390848fbed37">LCD_CPVOl_2_8V</a>&#160;&#160;&#160;((uint32_t) 0x00000100)</td></tr>
<tr class="separator:ga05556d6fc65065ac10b1390848fbed37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5d3c10037141c465a8631b6c2be680a9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5d3c10037141c465a8631b6c2be680a9">LCD_CPVOl_2_9V</a>&#160;&#160;&#160;((uint32_t) 0x00000200)</td></tr>
<tr class="separator:ga5d3c10037141c465a8631b6c2be680a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9897465e13b1dea7aaf45dc0b6c81d56"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9897465e13b1dea7aaf45dc0b6c81d56">LCD_CPVOl_3V</a>&#160;&#160;&#160;((uint32_t) 0x00000300)</td></tr>
<tr class="separator:ga9897465e13b1dea7aaf45dc0b6c81d56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5580a74656382e309c442563b97115f5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5580a74656382e309c442563b97115f5">LCD_CPVOl_3_1V</a>&#160;&#160;&#160;((uint32_t) 0x00000400)</td></tr>
<tr class="separator:ga5580a74656382e309c442563b97115f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga154c4547aaa7351d8fa0b5b155654340"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga154c4547aaa7351d8fa0b5b155654340">LCD_CPVOl_3_2V</a>&#160;&#160;&#160;((uint32_t) 0x00000500)</td></tr>
<tr class="separator:ga154c4547aaa7351d8fa0b5b155654340"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga320fd4754189b819bc419e3521fddf8e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga320fd4754189b819bc419e3521fddf8e">LCD_CPVOl_3_3V</a>&#160;&#160;&#160;((uint32_t) 0x00000600)</td></tr>
<tr class="separator:ga320fd4754189b819bc419e3521fddf8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad523ffec303ae12ed70ed95285fbb30c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad523ffec303ae12ed70ed95285fbb30c">LCD_CPVOl_3_4V</a>&#160;&#160;&#160;((uint32_t) 0x00000700)</td></tr>
<tr class="separator:gad523ffec303ae12ed70ed95285fbb30c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf413939d0a576f18224d7beb89ae6880"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf413939d0a576f18224d7beb89ae6880">LCD_FCPRESC_DIV1</a>&#160;&#160;&#160;((uint32_t) 0x00000000)</td></tr>
<tr class="separator:gaf413939d0a576f18224d7beb89ae6880"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga450b33c61bd083333f856a63b4c4a403"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga450b33c61bd083333f856a63b4c4a403">LCD_FCPRESC_DIV2</a>&#160;&#160;&#160;((uint32_t) 0x00000004)</td></tr>
<tr class="separator:ga450b33c61bd083333f856a63b4c4a403"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae16ed6ea2a8493a6af3326cd6378d9ba"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae16ed6ea2a8493a6af3326cd6378d9ba">LCD_FCPRESC_DIV4</a>&#160;&#160;&#160;((uint32_t) 0x00000008)</td></tr>
<tr class="separator:gae16ed6ea2a8493a6af3326cd6378d9ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga95786b8fb90f9dc8620ce9dad82696d5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga95786b8fb90f9dc8620ce9dad82696d5">LCD_FCPRESC_DIV8</a>&#160;&#160;&#160;((uint32_t) 0x0000000C)</td></tr>
<tr class="separator:ga95786b8fb90f9dc8620ce9dad82696d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafb1b7d1f3668cd0c515038ed44381f9f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafb1b7d1f3668cd0c515038ed44381f9f">LCD_FRAMECOUNT_INT</a>&#160;&#160;&#160;((uint32_t) 0x00000001)</td></tr>
<tr class="separator:gafb1b7d1f3668cd0c515038ed44381f9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6ed13e03b1b855b88fd4348c60f2c08d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ed13e03b1b855b88fd4348c60f2c08d">LCD_POWERDOWN_INT</a>&#160;&#160;&#160;((uint32_t) 0x00000002)</td></tr>
<tr class="separator:ga6ed13e03b1b855b88fd4348c60f2c08d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7ed4d1e605b6a4d55b31d0dc35a92ffc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d11/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7ed4d1e605b6a4d55b31d0dc35a92ffc">LCD_ALL_INT</a>&#160;&#160;&#160;((uint32_t) 0x00000003)</td></tr>
<tr class="separator:ga7ed4d1e605b6a4d55b31d0dc35a92ffc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga08f76e328b11f665c68155b860bbb11d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga08f76e328b11f665c68155b860bbb11d">LCD_GET_PD_INT_FLAG</a>()&#160;&#160;&#160;((<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae47ad2508f964333516a4fa15d298245">LCD_FCSTS_PDSTS_Msk</a>) &gt;&gt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4c03b49b6fa6ae731cf5ee0c3e57b882">LCD_FCSTS_PDSTS_Pos</a>)</td></tr>
<tr class="memdesc:ga08f76e328b11f665c68155b860bbb11d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get LCD Power Down interrupt flag.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga08f76e328b11f665c68155b860bbb11d">More...</a><br /></td></tr>
<tr class="separator:ga08f76e328b11f665c68155b860bbb11d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa9475c8c5b2c4a0548d53a3e277353a5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa9475c8c5b2c4a0548d53a3e277353a5">LCD_CLR_PD_INT_FLAG</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS = <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae47ad2508f964333516a4fa15d298245">LCD_FCSTS_PDSTS_Msk</a>)</td></tr>
<tr class="memdesc:gaa9475c8c5b2c4a0548d53a3e277353a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear LCD Power Down interrupt flag.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa9475c8c5b2c4a0548d53a3e277353a5">More...</a><br /></td></tr>
<tr class="separator:gaa9475c8c5b2c4a0548d53a3e277353a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga99308a27406d5535802bb1b81c5deed1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99308a27406d5535802bb1b81c5deed1">LCD_GET_FRAME_CNT_INT_FLAG</a>()&#160;&#160;&#160;((<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a>) &gt;&gt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4143d98233f942d8567c6e52364c1774">LCD_FCSTS_FCSTS_Pos</a>)</td></tr>
<tr class="memdesc:ga99308a27406d5535802bb1b81c5deed1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get LCD Frame Count interrupt flag.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99308a27406d5535802bb1b81c5deed1">More...</a><br /></td></tr>
<tr class="separator:ga99308a27406d5535802bb1b81c5deed1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad672a15e15b26691fc82ff039e8fd553"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad672a15e15b26691fc82ff039e8fd553">LCD_CLR_FRAME_CNT_INT_FLAG</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;FCSTS = <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a3a76998841371d1d95455dad50a4606d">LCD_FCSTS_FCSTS_Msk</a>)</td></tr>
<tr class="memdesc:gad672a15e15b26691fc82ff039e8fd553"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear LCD Frame Count interrupt flag.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad672a15e15b26691fc82ff039e8fd553">More...</a><br /></td></tr>
<tr class="separator:gad672a15e15b26691fc82ff039e8fd553"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1e62062370a4026363bb808673362cfb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1e62062370a4026363bb808673362cfb">LCD_ENABLE_PD_DISPLAY</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL |= <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae28f740c0910f737dff27be8bc540e61">LCD_CTL_PDDISP_EN_Msk</a>)</td></tr>
<tr class="memdesc:ga1e62062370a4026363bb808673362cfb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable LCD Power Down Display function.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1e62062370a4026363bb808673362cfb">More...</a><br /></td></tr>
<tr class="separator:ga1e62062370a4026363bb808673362cfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa8e99d262ce68109aa3cd2f9d9286542"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8e99d262ce68109aa3cd2f9d9286542">LCD_DISABLE_PD_DISPLAY</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gabf2d80992dcfabfd1668184c3dff2733">LCD</a>-&gt;CTL &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae28f740c0910f737dff27be8bc540e61">LCD_CTL_PDDISP_EN_Msk</a>)</td></tr>
<tr class="memdesc:gaa8e99d262ce68109aa3cd2f9d9286542"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable LCD Power Down Display function.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8e99d262ce68109aa3cd2f9d9286542">More...</a><br /></td></tr>
<tr class="separator:gaa8e99d262ce68109aa3cd2f9d9286542"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ga4aade76e2254b1c2858759860b9c8fdc"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#ga4aade76e2254b1c2858759860b9c8fdc">LCD_PanelType</a> { <br />
&#160;&#160;<a class="el" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca722f6b687c5d15031a0b3f1291f9cf04">LCD_C_TYPE</a> = 0
, <br />
&#160;&#160;<a class="el" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdcad2fdb0d69edeb2b2691226f09e3b3633">LCD_EXTERNAL_R_TYPE</a> = 1
, <br />
&#160;&#160;<a class="el" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca4d80acf10b407e4e00a5e9c0237277f9">LCD_INTERNAL_R_TYPE</a> = 2
, <br />
&#160;&#160;<a class="el" href="../../d6/d36/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html#gga4aade76e2254b1c2858759860b9c8fdca1ae579017fce26afb60099d81a4d2abd">LCD_EXTERNAL_C_TYPE</a> = 3
<br />
 }</td></tr>
<tr class="separator:ga4aade76e2254b1c2858759860b9c8fdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaecd530f9642d69ebd329530c33b1c002"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaecd530f9642d69ebd329530c33b1c002">LCD_EnableFrameCounter</a> (uint32_t u32Count)</td></tr>
<tr class="memdesc:gaecd530f9642d69ebd329530c33b1c002"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Frame Count and Enable frame count.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaecd530f9642d69ebd329530c33b1c002">More...</a><br /></td></tr>
<tr class="separator:gaecd530f9642d69ebd329530c33b1c002"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac9d571af631f230b2d093b70426bbd7c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac9d571af631f230b2d093b70426bbd7c">LCD_DisableFrameCounter</a> (void)</td></tr>
<tr class="memdesc:gac9d571af631f230b2d093b70426bbd7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable frame count function.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac9d571af631f230b2d093b70426bbd7c">More...</a><br /></td></tr>
<tr class="separator:gac9d571af631f230b2d093b70426bbd7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaac399c45e3931c6dcbaa95c79a766a6a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaac399c45e3931c6dcbaa95c79a766a6a">LCD_EnableBlink</a> (uint32_t u32ms)</td></tr>
<tr class="memdesc:gaac399c45e3931c6dcbaa95c79a766a6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Blink function in LCD controller.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaac399c45e3931c6dcbaa95c79a766a6a">More...</a><br /></td></tr>
<tr class="separator:gaac399c45e3931c6dcbaa95c79a766a6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae97874077bfb3a021c61690b21004f69"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae97874077bfb3a021c61690b21004f69">LCD_DisableBlink</a> (void)</td></tr>
<tr class="memdesc:gae97874077bfb3a021c61690b21004f69"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable Blink function in LCD controller.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae97874077bfb3a021c61690b21004f69">More...</a><br /></td></tr>
<tr class="separator:gae97874077bfb3a021c61690b21004f69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga92f309aa07814f033fa583e1e74e68bf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga92f309aa07814f033fa583e1e74e68bf">LCD_EnableInt</a> (uint32_t IntSrc)</td></tr>
<tr class="memdesc:ga92f309aa07814f033fa583e1e74e68bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable LCD interrupt.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga92f309aa07814f033fa583e1e74e68bf">More...</a><br /></td></tr>
<tr class="separator:ga92f309aa07814f033fa583e1e74e68bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab38a1d741553128199a9c4b3c0015bcf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab38a1d741553128199a9c4b3c0015bcf">LCD_DisableInt</a> (uint32_t IntSrc)</td></tr>
<tr class="memdesc:gab38a1d741553128199a9c4b3c0015bcf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable LCD specified interrupt.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab38a1d741553128199a9c4b3c0015bcf">More...</a><br /></td></tr>
<tr class="separator:gab38a1d741553128199a9c4b3c0015bcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga63cc493ec700a988c2382c3b09a09157"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga63cc493ec700a988c2382c3b09a09157">LCD_Open</a> (uint32_t u32DrivingType, uint32_t u32ComNum, uint32_t u32BiasLevel, uint32_t u32FramerateDiv, uint32_t u32DrivingVol)</td></tr>
<tr class="memdesc:ga63cc493ec700a988c2382c3b09a09157"><td class="mdescLeft">&#160;</td><td class="mdescRight">LCD Initialization routine.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga63cc493ec700a988c2382c3b09a09157">More...</a><br /></td></tr>
<tr class="separator:ga63cc493ec700a988c2382c3b09a09157"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38931e2f60a5bca8527b78604644e67a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38931e2f60a5bca8527b78604644e67a">LCD_SetPixel</a> (uint32_t u32Com, uint32_t u32Seg, uint32_t u32OnFlag)</td></tr>
<tr class="memdesc:ga38931e2f60a5bca8527b78604644e67a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables a segment on the LCD display.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38931e2f60a5bca8527b78604644e67a">More...</a><br /></td></tr>
<tr class="separator:ga38931e2f60a5bca8527b78604644e67a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4cf38e762042748bb3948fea1031da19"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4cf38e762042748bb3948fea1031da19">LCD_SetAllPixels</a> (uint32_t u32OnOff)</td></tr>
<tr class="memdesc:ga4cf38e762042748bb3948fea1031da19"><td class="mdescLeft">&#160;</td><td class="mdescRight">LCD Enable/Disable all segments.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4cf38e762042748bb3948fea1031da19">More...</a><br /></td></tr>
<tr class="separator:ga4cf38e762042748bb3948fea1031da19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab2b1b24fe536b594eff3fbc4acfd7dc8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2b1b24fe536b594eff3fbc4acfd7dc8">LCD_Close</a> (void)</td></tr>
<tr class="memdesc:gab2b1b24fe536b594eff3fbc4acfd7dc8"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to disable LCD controller.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2b1b24fe536b594eff3fbc4acfd7dc8">More...</a><br /></td></tr>
<tr class="separator:gab2b1b24fe536b594eff3fbc4acfd7dc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga887cf767cf1fd06106c2c14b10c048ba"><td class="memItemLeft" align="right" valign="top">static __INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga887cf767cf1fd06106c2c14b10c048ba">LCD_EnableDisplay</a> (void)</td></tr>
<tr class="memdesc:ga887cf767cf1fd06106c2c14b10c048ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable LCD controller.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga887cf767cf1fd06106c2c14b10c048ba">More...</a><br /></td></tr>
<tr class="separator:ga887cf767cf1fd06106c2c14b10c048ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc02b6e8ef1f3ab301853f4f8155e030"><td class="memItemLeft" align="right" valign="top">static __INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc02b6e8ef1f3ab301853f4f8155e030">LCD_DisableDisplay</a> (void)</td></tr>
<tr class="memdesc:gafc02b6e8ef1f3ab301853f4f8155e030"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable LCD controller.  <a href="../../d3/d2d/group___n_a_n_o1_x2___l_c_d___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc02b6e8ef1f3ab301853f4f8155e030">More...</a><br /></td></tr>
<tr class="separator:gafc02b6e8ef1f3ab301853f4f8155e030"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano102/112 series LCD driver header file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>8 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/17 2:03p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d2/ded/lcd_8h_source.html">lcd.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
